Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Class AbstractRotateInteractor

    java.lang.Object
      org.apache.batik.swing.gvt.InteractorAdapter
          org.apache.batik.swing.gvt.AbstractRotateInteractor

All Implemented Interfaces:
  KeyListener, MouseListener, MouseMotionListener, EventListener, Interactor

    public class AbstractRotateInteractor

extends InteractorAdapter

This class represents a rotate interactor. To use it, just redefine the `InteractorAdapter.startInteraction(InputEvent)` method.

Field Summary
`protected boolean` | `finished` Whether the interactor has finished.
`protected double` | `initialRotation` The initial rotation angle.

Constructor Summary
`AbstractRotateInteractor()`

Method Summary
`boolean` | `endInteraction()` Tells whether the interactor has finished.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.
`protected AffineTransform` | `rotateTransform(Dimension d, int x, int y)` Returns the rotate transform.

Methods inherited from class org.apache.batik.swing.gvt.InteractorAdapter
`keyPressed, keyReleased, keyTyped, mouseClicked, mouseEntered, mouseMoved, startInteraction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### finished

    protected boolean finished

  Whether the interactor has finished.

### initialRotation

    protected double initialRotation

  The initial rotation angle.

Constructor Detail

### AbstractRotateInteractor

    public AbstractRotateInteractor()

Method Detail

### endInteraction

    public boolean endInteraction()

  Tells whether the interactor has finished.

  Specified by:
    `endInteraction` in interface `Interactor`
  Overrides:
    `endInteraction` in class `InteractorAdapter`

### mousePressed

    public void mousePressed(MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `InteractorAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `InteractorAdapter`

### mouseExited

    public void mouseExited(MouseEvent e)

  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `MouseListener`
  Overrides:
    `mouseExited` in class `InteractorAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `InteractorAdapter`

### rotateTransform

    protected AffineTransform rotateTransform(Dimension d,
                                              int x,
                                              int y)

  Returns the rotate transform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.